#include <bits/stdc++.h>
using namespace std;

int solve(int n,int k, int p[]){
	
	for(int i = 0; i < n; i++){
		
		if(p[i] == k){
			
			if(i == n - 1)return p[0];
			
			return p[i + 1];
		}
		
	}
	
}

int main(){
	
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	
	int n,k;
	
	cin >> n >> k;
	
	int p[n];
	
	for(int i = 0; i < n; i++){
		
		int a;
		cin >> a;
	
	p[i] = a;
		
	}
	
	cout << solve(n,k,p) << '\n';
	
    return 0;
}